view.animation

## Class JJAnimation

- java.lang.Object
- - view.animation.JJAnimation

Direct Known Subclasses:
  JJAnimationForDiagramme, JJAnimationOpacite, JJAnimationRotation, JJAnimationTranslation, JJAnimationTranslationEntreDeuxObjets

    public abstract class JJAnimation
    extends java.lang.Object

The Class JJAnimation.

### Constructor Summary

Constructors
Constructor and Description
`JJAnimation(int pas, JJComponent compo, boolean vieLimite)` Instantiates a new JJ animation.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `animer()` Animer.
`void` `decalerPas(int offset)` Decaler pas.
`int` `getPas()` Gets the pas.
`boolean` `isVieLimite()` Checks if is vie limite.
`void` `setPas(int pas)` Sets the pas.
`void` `setVieLimite(boolean vieLimite)` Sets the vie limite.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJAnimation

    public JJAnimation(int pas,
                       JJComponent compo,
                       boolean vieLimite)

Instantiates a new JJ animation.

Parameters:
  `pas` - , compo , vieLimite
  `compo` - the compo
  `vieLimite` - the vie limite

### Method Detail

#### animer

    public boolean animer()

Animer.

Returns:
  true, if successful

#### getPas

    public int getPas()

Gets the pas.

Returns:
  the pas

#### setPas

    public void setPas(int pas)

Sets the pas.

Parameters:
  `pas` - the new pas

#### isVieLimite

    public boolean isVieLimite()

Checks if is vie limite.

Returns:
  true, if is vie limite

#### setVieLimite

    public void setVieLimite(boolean vieLimite)

Sets the vie limite.

Parameters:
  `vieLimite` - the new vie limite

#### decalerPas

    public void decalerPas(int offset)

Decaler pas.

Parameters:
  `offset` - the offset